Telerik UI for Silverlight

The following topic describes the system requirements needed by Telerik UI for Silverlight.

Supported Operating Systems and Browsers

Telerik UI for Silverlight are supported by the following operating systems and browsers:

Operating System

IE9

IE8

IE7

IE6

Firefox 3.6+

Safari 4+

Chrome 12+

Windows Vista

Yes

Yes

Yes

-

Yes

-

Yes

Windows 7 / Windows 7 SP1

Yes

Yes

-

-

Yes

-

Yes

Windows Server 2008 SP2

-

Yes

-

Yes

-

Yes

Windows Server 2008 R2 SP1

Yes

Yes

-

-

Yes

-

Yes

Windows Server 2003,Windows XP SP2, SP3

-

Yes

Yes

-

Yes

-

Yes

Mac OS 10.5.7+ (intel-based)

-

-

-

-

Yes

Yes

-

Development Environment

With the release of Silverlight 5, developers are now required to use either Visual Studio 2010 SP1 or Expression Blend 4 for Silverlight development. This is why in order to develop applications with Telerik UI for Silverlight you need to have installed the following development tools:

  • Microsoft Visual Studio 2010 SP1 with the Visual Web Developer feature or Microsoft Visual Web Developer 2010 Express or Microsoft Visual Studio 2012 - download from here.
  • .NET Framework 4.0 or .NET 4.5 - download .NET 4.0 from here or .NET 4.5 from here.
  • Microsoft Silverlight 5 SDK and Developer Tools for Visual Studio 2010 SP1 - download from here and here.
  • WCF RIA Services - download the latest version from here.
  • Microsoft Expression Blend(optional) - download the latest version from here.
  • SQL Server 2008 Express (optional) - download the latest version from here.

Hardware Enviroment

  • Personal Computer running Windows: 64-bit (x64) or 32-bit (x86), 1.6-gigahertz (GHz) or higher processor with 512-MB of RAM

  • Mac OS 10.5.7+ (intel-based): Intel Core Duo 1.83-gigahertz (GHz) or higher processor with 512-MB of RAM

  • Hard disk: up to 850 MB of available space may be required

See Also